Atom feed of this document
 

 Show Attachment for Port

Verb URI Description
GET /tenants/tenant-id/networks/network-id/ports/port-id/attachment Returns the identifier of the attachment plugged into the specified port, identified by port-id.

Normal Response Code(s): 200

Error Response Code(s): Unauthorized (401), Forbidden (403), NetworkNotFound (420), PortNotFound (430)

This operation returns configuration details for the attachment plugged into the port specified in the request URI. This information is a reference to a virtual interface identifier.

If no attachment is currently plugged into the port, the operation does not return any attachment identifier in the response. The response will contain an empty attachment element with no id attribute set.

This operation does not require a request body.

 

Example 4.29. Show Attachment Request/Response (XML)

Request:

GET /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/b832be00-6553-4f69-af33-acd554e36d08/attachment.xml               

Response (attachment set):

<attachment id="test_interface_identifier"/>

                    

Response (attachment not set):

<attachment />

                    

 

Example 4.30. Show Attachment Request/Response (JSON)

Request:

GET /tenants/XYZ/networks/158233b0-ca9a-40b4-8614-54a4a99d47d1/ports/b832be00-6553-4f69-af33-acd554e36d08/attachment.json	                

Response (attachment set):

{
 "attachment":
     {
         "id": "test_interface_identifier"
     }
}

                    

Response (attachment not set):

{
 "attachment": {}
}